Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025186
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] 03. Procurement managementmajoralways2013-11-19 23:502017-03-15 20:18
ReporteregoitzView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revisiona11bcc25fd0c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarkmm82
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025186: Jave heap error accessing to the pending goods receipt window when there are 16000 lines for orders not receipt

DescriptionJave heap error accessing to the pending goods receipt window when there are 16000 lines for orders not receipt

Steps To Reproduce-Create 16000 purchase orders with one line for each order and complete the order
-Access to the pending goods receipt window
*You get a java heap error
Proposed Solutionconvert the window to a smartclient window. or to a pick and execute
TagsPerformance
Attached Filesdiff file icon wa25186.diff [^] (10,273 bytes) 2014-02-05 13:42 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0023576 newdmiguelez Openbravo ERP Refractor Pending Goods Receipt Window using Pick&Execute 
related to design defect 0034620 closedrqueralta Openbravo ERP The ReportWarehouseControl report collapse the system 
related to defect 0034877 closedrqueralta Openbravo ERP Some changes needed to improve the performance in pending goods receipt window 
related to defect 0035531 closedmarkmm82 Modules The browswer get stucked when printing the receivable aging schedule report showing details and having a lot of invoices pending 

-  Notes
(0063859)
jonalegriaesarte (reporter)
2014-02-03 12:54

Moved to design defect, because the window needs to be rebuilt
(0091748)
aferraz (developer)
2016-11-22 16:34

Proposed solution:
Adapt attached fix to core.
Instead of throwing an error, we should limit displayed data with the value of the preference. A warning should inform that data is being limited.
(0092786)
hgbot (developer)
2016-12-19 16:19

Repository: erp/devel/pi
Changeset: 46b4543cdeb7b0bb268854393af2df666fd9a434
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Nov 24 09:38:42 2016 -0800
URL: http://code.openbravo.com/erp/devel/pi/rev/46b4543cdeb7b0bb268854393af2df666fd9a434 [^]

Fixes issue 25186: Java Heap error in Pending Goods Receipt with 16000 lines

Opening the Pending Goods Receipt windows with more than 1600 lines a Java Heap error was shown. Now the total lines of the windows is limited according of the Preference FormsLimit value and a warning message is show indicating the windows state.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_PREFERENCE.xml
M src/org/openbravo/erpCommon/ad_forms/MaterialReceiptPending.java
M src/org/openbravo/erpCommon/ad_forms/MaterialReceiptPending_data.xsql
---
(0092803)
hudsonbot (developer)
2016-12-19 23:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c51303887c8 [^]
Maturity status: Test
(0092857)
markmm82 (developer)
2016-12-20 15:13

Code review + Testing OK
(0095074)
hudsonbot (developer)
2017-03-15 20:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0095075)
hudsonbot (developer)
2017-03-15 20:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-11-19 23:50 egoitz New Issue
2013-11-19 23:50 egoitz Assigned To => dmiguelez
2013-11-19 23:50 egoitz Modules => Core
2013-11-19 23:50 egoitz Triggers an Emergency Pack => No
2013-11-19 23:50 egoitz Tag Attached: Performance
2013-11-19 23:50 egoitz Proposed Solution updated
2013-11-28 10:02 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2014-01-02 12:38 jonalegriaesarte Target Version 3.0MP31 => 3.0MP32
2014-02-03 12:54 jonalegriaesarte Note Added: 0063859
2014-02-03 12:54 jonalegriaesarte Type defect => design defect
2014-02-03 12:54 jonalegriaesarte Target Version 3.0MP32 =>
2014-02-05 13:42 egoitz File Added: wa25186.diff
2014-03-12 11:19 ngarcia Relationship added related to 0023576
2016-11-16 21:37 egoitz Assigned To jonalegriaesarte => Triage Finance
2016-11-22 16:34 aferraz Note Added: 0091748
2016-11-22 16:34 aferraz Assigned To Triage Finance => Sanjota
2016-11-23 16:27 collazoandy4 Assigned To Sanjota => collazoandy4
2016-11-23 16:43 collazoandy4 Status new => scheduled
2016-12-16 09:59 aferraz Relationship added related to 0034620
2016-12-19 16:19 hgbot Checkin
2016-12-19 16:19 hgbot Note Added: 0092786
2016-12-19 16:19 hgbot Status scheduled => resolved
2016-12-19 16:19 hgbot Resolution open => fixed
2016-12-19 16:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/46b4543cdeb7b0bb268854393af2df666fd9a434 [^]
2016-12-19 23:17 hudsonbot Checkin
2016-12-19 23:17 hudsonbot Note Added: 0092803
2016-12-20 15:13 markmm82 Review Assigned To => markmm82
2016-12-20 15:13 markmm82 Note Added: 0092857
2016-12-20 15:13 markmm82 Status resolved => closed
2016-12-20 15:13 markmm82 Fixed in Version => 3.0PR17Q1
2017-01-09 20:57 hgbot Checkin
2017-01-09 20:57 hgbot Note Added: 0093286
2017-01-09 21:24 hgbot Checkin
2017-01-09 21:24 hgbot Note Added: 0093287
2017-01-09 21:24 hgbot Status closed => resolved
2017-01-09 21:24 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/46b4543cdeb7b0bb268854393af2df666fd9a434 [^] => http://code.openbravo.com/erp/devel/pi/rev/a11bcc25fd0c2d9c79481ab8575a23e2569fc968 [^]
2017-01-09 21:31 markmm82 Note Deleted: 0093286
2017-01-09 21:31 markmm82 Note Deleted: 0093287
2017-01-09 21:32 markmm82 Status resolved => closed
2017-01-09 21:50 markmm82 Relationship added related to 0034877
2017-03-15 20:18 hudsonbot Checkin
2017-03-15 20:18 hudsonbot Note Added: 0095074
2017-03-15 20:18 hudsonbot Checkin
2017-03-15 20:18 hudsonbot Note Added: 0095075
2017-04-03 12:18 aferraz Relationship added related to 0035531


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker